# DataExchange
TKXSBase
XSAlgo

# XSAlgo_AlgoContainer Class Reference

`#include <XSAlgo_AlgoContainer.hxx>`

## Public Member Functions

Standard_EXPORT | XSAlgo_AlgoContainer ()
| Empty constructor .
void | SetToolContainer (const Handle(XSAlgo_ToolContainer)&TC)
| Sets ToolContainer .
Handle_XSAlgo_ToolContainer | ToolContainer () const
| Returns ToolContainer .
virtual Standard_EXPORT void | PrepareForTransfer () const
| Performs actions necessary for preparing environment for transfer. Empty in Open version. //! Applies fixes to the shape resulting from transfer, and updates map of entity-shape in TP in accordance with substitutions made during fixes (if any) .
virtual Standard_EXPORT TopoDS_Shape | ProcessShape (const TopoDS_Shape &shape, const Standard_Real Prec, const Standard_Real MaxTol, const Standard_CString rscfile, const Standard_CString seq, Handle(Standard_Transient)&info) const
| Does shape processing with specified tolerances and returns resulting shape and associated information in the form of Transient. This information should be later transmitted to MergeTransferInfo in order to be recorded in the translation map .
virtual Standard_EXPORT Standard_Boolean | CheckPCurve (const TopoDS_Edge &edge, const TopoDS_Face &face, const Standard_Real preci, const Standard_Boolean isSeam) const
| Checks quality of pcurve of the edge on the given face, and corrects it if necessary. .
virtual Standard_EXPORT void | MergeTransferInfo (const Handle(Transfer_TransientProcess)&TP, const Handle(Standard_Transient)&info, const Standard_Integer startTPitem=1) const
virtual Standard_EXPORT void | MergeTransferInfo (const Handle(Transfer_FinderProcess)&FP, const Handle(Standard_Transient)&info) const
| Updates translation map (TP or FP) with information resulting from ShapeProcessing Parameter startTPitem can be used for optimisation, to restrict modifications to entities stored in TP starting from item startTPitem .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_XSAlgo_ToolContainer | myTC

## Constructor & Destructor Documentation

Standard_EXPORT XSAlgo_AlgoContainer::XSAlgo_AlgoContainer | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean XSAlgo_AlgoContainer::CheckPCurve | ( | const TopoDS_Edge & | edge,
|  | const TopoDS_Face & | face,
|  | const Standard_Real | preci,
|  | const Standard_Boolean | isSeam
| ) | const`[virtual]`

Standard_EXPORT const XSAlgo_AlgoContainer::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void XSAlgo_AlgoContainer::MergeTransferInfo | ( | const Handle(Transfer_FinderProcess)& | FP,
|  | const Handle(Standard_Transient)& | info
| ) | const`[virtual]`

virtual Standard_EXPORT void XSAlgo_AlgoContainer::MergeTransferInfo | ( | const Handle(Transfer_TransientProcess)& | TP,
|  | const Handle(Standard_Transient)& | info,
|  | const Standard_Integer | startTPitem = `1`
| ) | const`[virtual]`

virtual Standard_EXPORT void XSAlgo_AlgoContainer::PrepareForTransfer | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT TopoDS_Shape XSAlgo_AlgoContainer::ProcessShape | ( | const TopoDS_Shape & | shape,
|  | const Standard_Real | Prec,
|  | const Standard_Real | MaxTol,
|  | const Standard_CString | rscfile,
|  | const Standard_CString | seq,
|  | Handle(Standard_Transient)& | info
| ) | const`[virtual]`

void XSAlgo_AlgoContainer::SetToolContainer | ( | const Handle(XSAlgo_ToolContainer)& | TC | ) | `[inline]`

Handle_XSAlgo_ToolContainer XSAlgo_AlgoContainer::ToolContainer | ( |  | ) | const

## Field Documentation

Handle_XSAlgo_ToolContainer XSAlgo_AlgoContainer::myTC `[private]`

The documentation for this class was generated from the following files:

- XSAlgo_AlgoContainer.hxx
- XSAlgo_AlgoContainer.lxx